TAU_PROFILE_TIMER_SE(3)

NAME
TAU_PROFILE_TIMER_SET_GROUP - Change the group of a timer

SYNOPSIS

C/C++:

TAU_PROFILE_TIMER_SET_GROUP(Profiler timer, TauGroup_t group);

DESCRIPTION

TAU_PROFILE_TIMER_SET_GROUP changes the group associated with a timer.

EXAMPLE

C/C++ :

void foo() {
  TAU_PROFILE_TIMER(t, "foo loop timer", " ", TAU_USER1);
  ...
  TAU_PROFILE_TIMER_SET_GROUP(t, TAU_USER3);
}

SEE ALSO

TAU_PROFILE_TIMER(3), TAU_PROFILE_TIMER_SET_GROUP_NAME(3)